#!/bin/sh
# $Id: install-jserver-dic.sh,v 1.1 2000/09/16 16:06:37 hiroaki Exp $
#
INSTALL_DIR="/boot/home/config"
#
COMMAND="$INSTALL_DIR/bin/Wnn4/wnntouch"
DIC_FILES="./lib/wnn/ja_JP/dic/wnncons/tankan2.dic \
	./lib/wnn/ja_JP/dic/wnncons/tankan3.dic \
	./lib/wnn/ja_JP/dic/gerodic/g-jinmei.dic \
	./lib/wnn/ja_JP/dic/pubdic/bio.dic \
	./lib/wnn/ja_JP/dic/pubdic/chimei.dic \
	./lib/wnn/ja_JP/dic/pubdic/computer.dic \
	./lib/wnn/ja_JP/dic/pubdic/full.fzk \
	./lib/wnn/ja_JP/dic/pubdic/jinmei.dic \
	./lib/wnn/ja_JP/dic/pubdic/kihon.dic \
	./lib/wnn/ja_JP/dic/pubdic/kougo.fzk \
	./lib/wnn/ja_JP/dic/pubdic/koyuu.dic \
	./lib/wnn/ja_JP/dic/pubdic/setsuji.dic \
	./lib/wnn/ja_JP/dic/pubdic/special.dic \
	./lib/wnn/ja_JP/dic/pubdic/std.fzk \
	./lib/wnn/ja_JP/dic/pubdic/symbol.dic \
	./lib/wnn/ja_JP/dic/pubdic/tankan.dic"

if [ ! -x $COMMAND ]; then
    echo "Install jserver-base first!"
    exit 1
fi
/bin/unzip jserver-dic.zip -d $INSTALL_DIR
for f in $DIC_FILES
do
    $COMMAND $INSTALL_DIR/$f
done
echo "Install completed."
